| Home | Libraries | People | FAQ | More

#### boost::mqtt5::retain_e

Represents the `RETAIN` flag in the `PUBLISH` packets.

##### Synopsis

Defined in header `<boost/mqtt5/types.hpp>`

    enum class retain_e
        : std::uint8_t;

##### Values

Name | Description
--- | ---
`yes` | The Server will replace any existing retained message for this Topic with this message.
`no` | The Server will not store this message and will not remove or replace any existing retained message.

##### Description

This flag informs the Server about whether or not it should store the current message.

Convenience header `<boost/mqtt5.hpp>`